Issue495

classification
Title [Bug: 21.5-b28] gnus chokes, XEmacs dies
Type defect Module core code 21.4, core code 21.5
Severity inconvenience Platform x86, unix
Keywords Nosy List giacomo.boffi, mike.kupfer
explanation
process
These controls should only be changed by committers and tracker administrators.
Status closed   Reason superseded
Superseder [Bug: 21.5-b29] usenet article freezes XEmacs
View: 570
  Submitted 2009-03-06.08:49:44
Priority normal   Assigned To

Created on 2009-03-07.08:45:03 by giacomo.boffi1, last changed 2010-01-05.02:09:17 by mike.kupfer.

Messages
msg2051 [hidden] ([hidden]) Date: 2010-01-05.02:09:17
  Message-ID: <1262657357.79.0.606351214009.issue495@xemacs.org>
With Stephen's fix for issue570 I can no longer reproduce the crash
with 21.4.22.  Marking as duplicate of issue570.
msg2048 [hidden] ([hidden]) Date: 2010-01-02.02:03:18
  Message-ID: <1262397799.06.0.603988007744.issue495@xemacs.org>
I can't reproduce this crash with 21.5.29 (a46d7513a364), but I can
with 21.4.22.  I'll see if Stephen's fix for issue570 makes the crash
go away.  If not, I'll post a stack trace.
msg1091 [hidden] ([hidden]) Date: 2009-03-12.22:10:17
  Message-ID: <1236895817.95.0.239803857702.issue495@xemacs.org>
See also issue373 and issue408.
msg1074 [hidden] ([hidden]) Date: 2009-03-07.08:45:03
  Message-ID: <18864.58280.324670.144675@boffi95.stru.polimi.it>
================================================================
Dear Bug Team!

using XEmacs under X, when i try to read a particular post Xemacs dies
abruptly --- at the moment i have no core dump, i think i can provide
one if necessary

xemacs -nw can read the same post without any problem

imho, it's the Face: header...

I attach here the headers of the offending article

Subject: Re: Come vi mangiate il polipo? 
From: Ataru MoroBoshi <lx1opaehm8boy4p at jetable.net> 
References: <goon4o$umv$1 at tdi.cu.mi.it><goon7l$r4u$1 at news.motzarella.org> 
Newsgroups: it.cultura.single, it.discussioni.varie, it.hobby.cucina 
Message-ID: <mn.2d197d93b85ab073.87136 at jetable.net> 
X-No-Archive: yes 
Organization: From Another Planet 
X-Newsreader: MesNews/1.08.03.00-it 
Date: Thu, 05 Mar 2009 21:45:47 +0100 
MIME-Version: 1.0 
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAHlBMVEX///8AAAAzMzNmZmbMm
 WaZZjP/mWb/zGb/zJn///8q/GyBAAAAAXRSTlMAQObYZgAAAAFiS0dEAIgFHUgAAAAJcEhZcwAACxI 
 AAAsSAdLdfvwAAAAHdElNRQfWBQgQGTJKFqnlAAACEklEQVR4nHWTO2/bMBCA5Qbdc7SVpJslP9psk 
 YMAzVa59KNbZMhKxg427TEtVB3XBHbJjgWy+N/2qLeF+gRRwn28J4+WlUuLAQADqykOZMIaeqjk/IT 
 +iLTgBIGGnDCoTOg3S4p54LUdtzAhA+aOUuTe3vYIQT1CUUhvBF7mqxmhB24GzFbmOse08MRGZp04R 
 8R82ukrZFDLOA1hDAZMSD1uAI/eRUdsKpIBZpy/REKh1HuTlwFevsUOhUAkElxps688oU98utVE0L/ 
 UQQ2w5QL6iIT8K6yDj0LswCa99j+r1FXekWjBBmPoa5SOwtcaWH/7a5Kz4/hJaQJt6yzVd7ah8+Fts 
 AinOBvDV5PuO9KSp60D14c3ITbos+USoGtcPf5gv1eT+8OfnRBb3ePTn6aJBJIJTIXc8R1ignv/bva 
 SAZasIKKqJZ9RHYv2YeabkyIgQmeYtoPTAtdapoPaAltETscAVKh24YGyzY6cXBHYYCZPfB5081ngP 
 LgoAde6W0zVYxgMS/AL44cC2HEQFUBEct8t560PVLIy+iSe4+t5NYi2KCwSLIFpb1QCrAB1EYb/A+Y 
 M+zng1BV8LgCZXEYiLx2ler4pbpQHF+sMoKTnoXZph6u8EK4k3lTgbCgmBCQBxLh+zylEKFArSQZfG 
 mC13JrIuKrr3xMgQknpxDqSu+XUkLnS362G0EQJseaTMtd/gpvSeh6esJoAAAAASUVORK5CYII= 
Content-Type: text/plain; charset="iso-8859-15" 
Content-Transfer-Encoding: 8bit 
X-Antivirus: avast! (VPS 090305-1, 05/03/2009), Outbound message 
X-Antivirus-Status: Clean 
NNTP-Posting-Host: $$afwcmhimnnws7.news.x-privat.org 
Lines: 20 
X-Authenticated-User: $$i0fwal6w85dfcwyqpq 
X-Complaints-To: abuse at x-privat.org 
Path:
newsserver.cilea.it!newsserver.news.garr.it!news.panservice.it!x-privat.org!not-for-mail
Xref: newsserver.cilea.it it.cultura.single:598326 it.discussioni.varie:98204 it.hobby.cucina:467961

================================================================

System Info to help track down your bug:
---------------------------------------

uname -a: Linux boffi95 2.6.18-4-686 #1 SMP Mon Mar 26 17:17:36 UTC 2007 i686 GNU/Linux

./configure  '--enable-database=berkdb' '--enable-dialogs=lucid' '--enable-error-checking=all' '--enable-memory-usage-stats' '--enable-menubars=lucid' '--enable-modules' '--enable-mule' '--enable-pdump' '--enable-scrollbars=lucid' '--enable-widgets=athena' '--with-athena=3d' '--with-optimization=yes' '--with-rel-alloc' '--with-xft=all' '--with-xim=xlib' '--with-zlib' '--enable-bignum=gmp'

XEmacs 21.5-b28 "fuki" 00ed9903a988 configured for `i686-pc-linux'.

Compilation Environment and Installation Defaults:
  Source code location:              /home/boffi/src/xemacs-21.5
  Installation prefix:               /usr/local
  Operating system description file: `s/linux.h'
  Machine description file:          `m/intel386.h'
  Compiler version:                  gcc (Debian 4.3.3-1) 4.3.3
    - GCC specs file:                specs.
    - Compiler command:              gcc   -Wall -Wno-switch -Wundef -Wsign-compare -Wno-char-subscripts -Wpacked -Wunused-parameter -g -O3 
  libc version:                      GNU libc 2.7-18 (Debian)
  Relocating allocator for buffers:  yes
  GNU version of malloc:             yes
    - Using Doug Lea's new malloc from the GNU C Library.

Window System:
  Compiling in support for the X window system:
    - X Windows headers location:                 
    - X Windows libraries location:               
    - Handling WM_COMMAND properly.
    - Using fontconfig to manage fonts.
    - Compiling in support for Xft antialiased fonts (EXPERIMENTAL).
  Compiling in support for the Athena widget set:
    - Athena headers location:                    X11/Xaw3d
    - Athena library to link:                     Xaw3d
  Using Lucid menubars.
    - Using Xft to render antialiased fonts in menubars.
      WARNING: This feature will be replaced with a face.
  Using Lucid scrollbars.
  Using Athena dialog boxes.
  Using Athena native widgets.
    - Using Xft to render antialiased fonts in tab controls.
      WARNING: This feature will be replaced with a face.
    - Using Xft to render antialiased fonts in progress bars.
      WARNING: This feature will be replaced with a face.
      WARNING: This feature not yet implemented; setting ignored.

TTY:
  Compiling in support for ncurses.
  Compiling in support for GPM (General Purpose Mouse).

Images:
  Compiling in support for GIF  images (builtin).
  Compiling in support for XPM  images.
  Compiling in support for PNG  images.
  Compiling in support for JPEG images.
  Compiling in support for TIFF images.
  Compiling in support for X-Face message headers.

Sound:
  Compiling in support for sound (native).
  Compiling in support for ALSA (Advanced Linux Sound Architecture).
  Compiling in support for NAS (network audio system).

Databases:
  Compiling in support for Berkeley database.
  Compiling in support for LDAP.

Internationalization:
  Compiling in support for Mule (multi-lingual Emacs).
  Compiling in support for XIM (X11R5+ I18N input method).
    - Using raw Xlib to provide XIM support.

Mail:
  Compiling in support for "file" mail spool file locking method.

Other Features:
  Inhibiting IPv6 canonicalization at startup.
  Compiling in support for dynamic shared object modules.
  Compiling in support for more number types using the GNU MP library.
  Using the new GC mark algorithms (KKCC).
  WARNING: ---------------------------------------------------------
  WARNING: The new algorithms are experimental. They are enabled by
  WARNING: default for this release. Use `--disable-kkcc' to
  WARNING: turn it off.
  WARNING: ---------------------------------------------------------
  Using the new portable dumper.
  Dumping into executable.
  Compiling in support for extra debugging code.
  Compiling in support for runtime error checking.
  WARNING: ---------------------------------------------------------
  WARNING: XEmacs will run noticeably more slowly as a result.
  WARNING: Error checking is on by default for XEmacs beta releases.
  WARNING: ---------------------------------------------------------

Load-Path Lisp Shadows:
----------------------
(/home/boffi/lib/emacs/test/db-rdb
/usr/local/share/xemacs/site-lisp/edb/db-rdb
/home/boffi/lib/emacs/test/database
/usr/local/share/xemacs/site-lisp/edb/database
/home/boffi/lib/emacs/test/db-sort
/usr/local/share/xemacs/site-lisp/edb/db-sort
/home/boffi/lib/emacs/test/db-convert
/usr/local/share/xemacs/site-lisp/edb/db-convert
/home/boffi/lib/emacs/test/db-search
/usr/local/share/xemacs/site-lisp/edb/db-search
/home/boffi/lib/emacs/test/db-tagged
/usr/local/share/xemacs/site-lisp/edb/db-tagged
/home/boffi/lib/emacs/test/db-isbn
/usr/local/share/xemacs/site-lisp/edb/db-isbn
/home/boffi/lib/emacs/test/db-two-dbs
/usr/local/share/xemacs/site-lisp/edb/db-two-dbs
/home/boffi/lib/emacs/info-look
/usr/local/share/xemacs/xemacs-packages/lisp/edit-utils/info-look
/home/boffi/lib/emacs/slime/tree-widget
/usr/local/share/xemacs/xemacs-packages/lisp/jde/tree-widget
/usr/local/share/xemacs/mule-packages/lisp/mule-base/ethio-util
/usr/local/share/xemacs-21.5-b28/lisp/mule/ethio-util
/usr/local/share/xemacs/mule-packages/lisp/mule-base/china-util
/usr/local/share/xemacs-21.5-b28/lisp/mule/china-util
/usr/local/share/xemacs/mule-packages/lisp/mule-base/japan-util
/usr/local/share/xemacs-21.5-b28/lisp/mule/japan-util
/usr/local/share/xemacs/mule-packages/lisp/mule-base/korea-util
/usr/local/share/xemacs-21.5-b28/lisp/mule/korea-util
/usr/local/share/xemacs/mule-packages/lisp/mule-base/cyril-util
/usr/local/share/xemacs-21.5-b28/lisp/mule/cyril-util
/usr/local/share/xemacs/mule-packages/lisp/mule-base/viet-util
/usr/local/share/xemacs-21.5-b28/lisp/mule/viet-util
/usr/local/share/xemacs/xemacs-packages/lisp/xemacs-base/easy-mmode
/usr/local/share/xemacs-21.5-b28/lisp/easy-mmode
/usr/local/share/xemacs/mule-packages/lisp/mule-ucs/unicode
/usr/local/share/xemacs-21.5-b28/lisp/unicode
/usr/local/share/xemacs/xemacs-packages/lisp/build/build-report
/usr/local/share/xemacs-21.5-b28/lisp/build-report
/usr/local/share/xemacs/xemacs-packages/lisp/xemacs-base/regexp-opt
/usr/local/share/xemacs-21.5-b28/lisp/regexp-opt)

Internationalization Settings:
-------------------------

Environment:

  Value of LC_ALL      : nil
  Value of LC_COLLATE  : nil
  Value of LC_CTYPE    : nil
  Value of LC_MESSAGES : nil
  Value of LC_MONETARY : nil
  Value of LC_NUMERIC  : nil
  Value of LC_TIME     : nil
  Value of LANG        : C

Lisp locale settings:

  current-language-environment      => "English"
  default-buffer-file-coding-system => iso-8859-1
  default-process-coding-system     => (undecided . iso-8859-1)
  (current-locale)                  => "C"
  keyboard-coding-system            => iso-8859-1
  terminal-coding-system            => iso-8859-1
  (coding-priority-list)            =>
    (iso-8-1 utf-16-little-endian-bom utf-16-bom utf-8-bom iso-7
    no-conversion utf-8 iso-8-2 iso-8-designate iso-lock-shift
    shift-jis big5 utf-16-little-endian utf-16 ucs-4)

Coding system aliases:

  'native                              is aliased to iso-8859-1
  'file-name                           is aliased to iso-8859-1
  'mswindows-multibyte-system-default  is not a coding system alias

Installed XEmacs Packages:
-------------------------
(zenirc ver: 1.16 upstream: 2.112)
(xwem ver: 1.22 upstream: lg at xwem.org--2005/xwem--main--2.1--versionfix-1)
(xslt-process ver: 1.12 upstream: 1.2.1)
(xslide ver: 1.09 upstream: 0.2.2)
(xlib ver: 1.14 upstream: lg at xwem.org--2005/xlib--main--2.1--version-0)
(xetla ver: 1.02 upstream: steve at eicq.org--2005/xetla--main--1.1--version-0)
(xemacs-devel ver: 1.78 upstream: No-Upstream-Ver)
(xemacs-base ver: 2.17 upstream: No-Upstream-Ver)
(x-symbol ver: 1.1 upstream: 4.5.1)
(w3 ver: 1.34 upstream: 4.0pre47)
(vm ver: 7.26 upstream: 7.19)
(viper ver: 1.63 upstream: 3.09)
(view-process ver: 1.13 upstream: 2.4)
(vhdl ver: 1.22 upstream: 3.33.12)
(vc-cc ver: 1.22 upstream: No-Upstream-Ver)
(vc ver: 1.45 upstream: No-Upstream-Ver)
(tramp ver: 1.4 upstream: 2.0.56)
(tpu ver: 1.14 upstream: 4.2X)
(tooltalk ver: 1.15 upstream: No-Upstream-Ver)
(tm ver: 1.39 upstream: No-Upstream-Ver)
(time ver: 1.14 upstream: 1.17)
(textools ver: 1.15 upstream: No-Upstream-Ver)
(text-modes ver: 1.95 upstream: No-Upstream-Ver)
(texinfo ver: 1.3 upstream: No-Upstream-Ver)
(supercite ver: 1.21 upstream: 3.55x3)
(strokes ver: 1.1 upstream: No-Upstream-Ver)
(speedbar ver: 1.29 upstream: 1.0pre4)
(sounds-wav ver: 1.12 upstream: No-Upstream-Ver)
(sounds-au ver: 1.12 upstream: No-Upstream-Ver)
(sml-mode ver: 0.12 upstream: 3.9.5)
(slider ver: 1.15 upstream: 0.3x1)
(sieve ver: 1.18 upstream: No-Upstream-Ver)
(sh-script ver: 1.24 upstream: 2.0f)
(sgml ver: 1.11 upstream: No-Upstream-Ver)
(semantic ver: 1.2 upstream: 1.4.4)
(sasl ver: 1.16 upstream: 1.14.4)
(ruby-modes ver: 1.02 upstream: 1.6.8)
(rmail ver: 1.14 upstream: No-Upstream-Ver)
(reftex ver: 1.34 upstream: 4.21)
(re-builder ver: 1.05 upstream: 1.20)
(python-modes ver: 1.1 upstream: 426)
(psgml-dtds ver: 1.03 upstream: No-Upstream-Ver)
(psgml ver: 1.45 upstream: 1.3.2)
(ps-print ver: 1.12 upstream: 6.5.6)
(prog-modes ver: 2.16 upstream: No-Upstream-Ver)
(pgg ver: 1.06 upstream: 0.1)
(perl-modes ver: 1.14 upstream: No-Upstream-Ver)
(pcomplete ver: 1.04 upstream: 1.1.6)
(pcl-cvs ver: 1.68 upstream: R-2_9_9)
(pc ver: 1.28 upstream: No-Upstream-Ver)
(os-utils ver: 1.4 upstream: No-Upstream-Ver)
(oo-browser ver: 1.05 upstream: 4.08)
(ocaml ver: 0.06 upstream: 3.06)
(net-utils ver: 1.56 upstream: N/A)
(mmm-mode ver: 1.02 upstream: 0.4.7)
(misc-games ver: 1.2 upstream: No-Upstream-Ver)
(mine ver: 1.16 upstream: 1.9)
(mew ver: 1.19 upstream: 1.94.2)
(mailcrypt ver: 2.14 upstream: 3.5.8)
(mail-lib ver: 1.79 upstream: No-Upstream-Ver)
(jde ver: 1.51 upstream: 2.3.3)
(ispell ver: 1.32 upstream: 3.6)
(ilisp ver: 1.34 upstream: 5.12.0)
(igrep ver: 1.16 upstream: 2.111)
(idlwave ver: 1.32 upstream: 5.1)
(ibuffer ver: 1.09 upstream: No-Upstream-Ver)
(hyperbole ver: 1.17 upstream: 5.0)
(hm--html-menus ver: 1.24 upstream: 5.9)
(haskell-mode ver: 1.11 upstream: 2.1)
(guided-tour ver: 0.52 upstream: No-Upstream-Ver)
(gnus ver: 1.93 upstream: 5.10.8)
(gnats ver: 1.17 upstream: 3.101)
(general-docs ver: 1.05 upstream: No-Upstream-Ver)
(games ver: 1.17 upstream: 1.04)
(fsf-compat ver: 1.17 upstream: No-Upstream-Ver)
(frame-icon ver: 1.11 upstream: No-Upstream-Ver)
(fortran-modes ver: 1.05 upstream: No-Upstream-Ver)
(forms ver: 1.15 upstream: 2.37)
(footnote ver: 1.16 upstream: 0.18x)
(eudc ver: 1.4 upstream: 1.32)
(eterm ver: 1.17 upstream: No-Upstream-Ver)
(eshell ver: 1.12 upstream: 2.4.1)
(escreen ver: 1.01 upstream: 1.16)
(erc ver: 0.21 upstream: Version 5.1.2 Revision: 1.796.2.6)
(emerge ver: 1.11 upstream: No-Upstream-Ver)
(elib ver: 1.13 upstream: 1.0)
(eieio ver: 1.06 upstream: 1.0pre4)
(efs ver: 1.34 upstream: 1.24)
(edt ver: 1.14 upstream: No-Upstream-Ver)
(edit-utils ver: 2.39 upstream: No-Upstream-Ver)
(ediff ver: 1.75 upstream: 2.75)
(edebug ver: 1.22 upstream: No-Upstream-Ver)
(ecrypto ver: 0.2 upstream: 2.0)
(ecb ver: 1.22 upstream: 2.31)
(docbookide ver: 0.08 upstream: 0.1)
(dired ver: 1.19 upstream: 7.16)
(dictionary ver: 1.16 upstream: 1.8)
(debug ver: 1.18 upstream: No-Upstream-Ver)
(crisp ver: 1.15 upstream: 1.34)
(cookie ver: 1.15 upstream: No-Upstream-Ver)
(clearcase ver: 1.1 upstream: /main/laptop/165)
(cc-mode ver: 1.45 upstream: 5.30.10)
(calendar ver: 1.36 upstream: No-Upstream-Ver)
(calc ver: 1.26 upstream: 2.02fX3)
(c-support ver: 1.22 upstream: No-Upstream-Ver)
(build ver: 1.14 upstream: 2.02)
(bbdb ver: 1.32 upstream: 2.35)
(auctex ver: 2007.0112 upstream: 11.84)
(apel ver: 1.33 upstream: 10.6)
(ada ver: 1.14 upstream: 2.27)
(Sun ver: 1.16 upstream: No-Upstream-Ver)
(skk ver: 1.24 upstream: 10.62a)
(mule-ucs ver: 1.16 upstream: 0.84)
(mule-base ver: 1.52 upstream: No-Upstream-Ver)
(lookup ver: 1.15 upstream: 1.0)
(leim ver: 1.27 upstream: No-Upstream-Ver)
(latin-unity ver: 1.2 upstream: 1.20)
(latin-euro-standards ver: 1.08 upstream: 1.08)
(egg-its ver: 1.27 upstream: No-Upstream-Ver)
(edict ver: 1.16 upstream: 0.9.9)

Installed Modules:
-----------------

Features:
--------

(vm-reply xemacsbug shadow latin-unity-tables latin-euro-standards
latin-euro-latin10 latin-euro-latin9 latin-euro-latin8
latin-euro-latin7 latin-unity-vars latin-unity gnus-fun sort gnus-cite
flow-fill mail-extr gnus-agent gnus-srvr nnvirtual gnus-async
gnus-bcklg gnus-score score-mode gnus-ml gnus-msg gnus-art mm-uu
mml2015 pgg password pgg-parse pgg-def mm-view disp-table gnus-topic
nndoc parse-time gnus-sum gnus-cache gnus-group gnus-undo nndraft nnmh
nnmail mail-source format-spec nntp nnoo uboat gnus-start gnus-spec
gnus-int gnus-range gnus-win gnus gnus-ems gnus-xmas vm-virtual
vm-delete vm-undo vm-crypto vm-pop vm-page vm-mime vm-toolbar
vm-summary tapestry vm-motion vm-message vm-menu vm-folder efs-cu
vm-misc vm-mouse vm-window message mml mml-sec mml-smime smime dig
mm-decode mm-bodies mm-encode mailcap lpr mail-parse rfc2045 rfc2231
rfc2047 qp ietf-drums mail-abbrevs sendmail rfc822 mailheader canlock
sha1 executable hex-util vm-autoload vm-vars vm-version vm vm-startup
guided-tour paren blink-paren func-menu bbdb regexp-opt timezone
jka-compr slime byte-optimize bytecomp byte-compile tree-widget
wid-edit apropos edmacro timer-funcs overlay font-lock cus-face
hyperspec thingatpt browse-url hideshow pp timer comint ring smiley
annotations messagexmas nnheader nnheaderxm gnus-util netrc time-date
mm-util mail-prsvr mail-utils x-compose filladapt image-mode view-less
view mwheel advice advice-preload zenirc-autoloads xwem-autoloads
xslt-process-autoloads xslide-autoloads xlib-autoloads xetla-autoloads
xemacs-devel-autoloads xemacs-base-autoloads x-symbol-autoloads
w3-autoloads vm-autoloads viper-autoloads view-process-autoloads
vhdl-autoloads vc-cc-autoloads vc-autoloads tramp-autoloads
tpu-autoloads tooltalk-autoloads tm-autoloads time-autoloads
textools-autoloads text-modes-autoloads texinfo-autoloads
supercite-autoloads strokes-autoloads speedbar-autoloads
sounds-wav-autoloads sounds-au-autoloads sml-mode-autoloads
slider-autoloads sieve-autoloads sh-script-autoloads sgml-autoloads
semantic-autoloads sasl-autoloads ruby-modes-autoloads rmail-autoloads
reftex-autoloads re-builder-autoloads python-modes-autoloads
psgml-dtds-autoloads psgml-autoloads ps-print-autoloads
prog-modes-autoloads pgg-autoloads perl-modes-autoloads
pcomplete-autoloads pcl-cvs-autoloads pc-autoloads os-utils-autoloads
oo-browser-autoloads ocaml-autoloads net-utils-autoloads
mmm-mode-autoloads misc-games-autoloads mine-autoloads mew-autoloads
mailcrypt-autoloads mail-lib-autoloads jde-autoloads ispell-autoloads
ilisp-autoloads igrep-autoloads idlwave-autoloads ibuffer-autoloads
hyperbole-autoloads hm--html-menus-autoloads haskell-mode-autoloads
guided-tour-autoloads gnus-autoloads gnats-autoloads
general-docs-autoloads games-autoloads fsf-compat-autoloads
frame-icon-autoloads fortran-modes-autoloads forms-autoloads
footnote-autoloads eudc-autoloads eterm-autoloads eshell-autoloads
escreen-autoloads erc-autoloads emerge-autoloads elib-autoloads
eieio-autoloads efs-autoloads edt-autoloads edit-utils-autoloads
ediff-autoloads edebug-autoloads ecrypto-autoloads ecb-autoloads
docbookide-autoloads dired-autoloads dictionary-autoloads
debug-autoloads crisp-autoloads cookie-autoloads clearcase-autoloads
cc-mode-autoloads calendar-autoloads calc-autoloads
c-support-autoloads build-autoloads bbdb-autoloads tex-site
apel-autoloads ada-autoloads Sun-autoloads skk-autoloads
mule-ucs-autoloads mule-base-autoloads lookup-autoloads leim-autoloads
latin-unity-autoloads latin-euro-standards-autoloads egg-its-autoloads
edict-autoloads modules-autoloads mule-autoloads auto-autoloads
auto-show fontl-hooks canna-leim tibetan slovenian czech romanian lao
devanagari indian cyrillic code-cmds gutter-items menubar-items
x-menubar mode-motion mouse behavior itimer auto-save lisp-mode
easymenu easy-mmode iso8859-1 page buff-menu lib-complete loadhist
cus-file derived newcomment rsz-minibuf env text-props fontconfig
frame obsolete cus-start custom widget cl-extra cl cl-19 packages
backquote unicode font-mgr lucid-scrollbars cut-buffer xft-fonts
lucid-menubars athena-dialogs x c-balloon-help tty-frames tty toolbar
nas-sound native-sound alsa-sound scrollbar unix-processes multicast
network-streams subprocesses bigfloat ratio bignum number-types
modules menu-accelerator-support menubar berkeley-db md5 xemacs xim
mule gutter tiff png gif jpeg xface xpm xbm lisp-float-type
file-coding linux dialog devices window-system base64)

Recent keystrokes:
-----------------

O A ESC O A ESC O A ESC O A ESC O A ESC O A ESC O A 
ESC O A ESC O A ESC O A ESC O A ESC O A ESC O A ESC 
O A ESC O A ESC O A ESC O A ESC O A ESC O B ESC O B 
ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC 
O B ESC x r e p o r t SPC x e m a c s - b u g RET

Recent messages (most recent first):
-----------------------------------

Loading vm-reply...done
Loading vm-reply...
Loading xemacsbug...done
Loading xemacsbug...
Sending...done
Sending news via newsserver.cilea.it using nntp...
Sending...
Ci metto la X-Face? (y or n) No
Ci metto la X-Face? (y or n) 
Fontifying *posting on it.hobby.cucina*... done.
Fontifying *posting on it.hobby.cucina*...
Sending...done
Sending news via newsserver.cilea.it using nntp...
Sending...
Ci metto la X-Face? (y or n) No
Ci metto la X-Face? (y or n) 
Fontifying *followup to Fatina degli Elfi on it.hobby.cucina*... done.
Parsing /home/boffi/.mailrc... done
Fontifying *followup to Fatina degli Elfi on it.hobby.cucina*...
Parsing /home/boffi/.mailrc...
History
Date User Action Args
2010-01-05 02:09:17mike.kupfersetstatus: verified -> closed
assignedto: mike.kupfer
reason: superseded
superseder: + [Bug: 21.5-b29] usenet article freezes XEmacs
messages: + msg2051
2010-01-02 02:03:19mike.kupfersetstatus: new -> verified
messages: + msg2048
module: + core code 21.4, - gnus
2009-03-12 22:10:17mike.kupfersetplatform: + x86, unix, - N/A
messages: + msg1091
nosy: + mike.kupfer, giacomo.boffi, - giacomo.boffi1
2009-03-07 08:51:36stephensetstatus: new
severity: inconvenience
module: + core code 21.5, gnus
priority: normal
platform: + N/A
type: defect
2009-03-07 08:45:03giacomo.boffi1create